@import java.time.format.DateTimeFormatter
@(videos: Iterable[Video], displayFormat: DateTimeFormatter)

<html>
<head>
  <title>Local Video Cache</title>

  <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.css">

  <script type="text/javascript" language="javascript" src="https://code.jquery.com/jquery-3.5.1.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.js"></script>
  <script>
    $(document).ready(function () {
      const table = $('#videoList').DataTable({
        pageLength: 250,
        lengthMenu: [100, 250, 500, 1000],
        order: [[3, 'desc']]
      });

      // per-column search
      $('#videoList thead th').each(function() {
        var title = $(this).text();
        $(this).html('<input type="text" placeholder="' + title + '" width="100%" />');
      });

      table.columns().every(function() {
        const that = this;
        $('input', this.header()).on('keyup change', function() {
          if (that.search() !== this.value) {
            that.search(this.value).draw();
          }
        });
      });
    });
  </script>
</head>
<body>
  <table border="1" id="videoList">
    <thead>
      <tr>
        <th>Extractor</th>
        <th>Uploader</th>
        <th>Title</th>
        <th>Modified</th>
        <th>Link</th>
      </tr>
    </thead>
    <tbody>
      @for(video <- videos) {
        <tr>
          <td>
            <a href="@controllers.routes.HomeController.index(video.extractor.name, "")">@video.extractor.name</a>
          </td>
          <td>
            <a href="@controllers.routes.HomeController.index(video.extractor.name, video.uploader.id)">@video.uploader.formattedName</a>
          </td>
          <td>@video.title</td>
          <td>@video.modified.format(displayFormat)</td>
          <td>
            <a href="@controllers.routes.HomeController.playVideo(video.extractor.name, video.id)">HTTP link</a>
          </td>
        </tr>
      }
    </tbody>
  </table>
</body>
</html>
